Skip to content
This repository
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 91 lines (69 sloc) 2.001 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90
source 'http://rubygems.org'
#source "http://gems.github.com"

# ~~~~~~~ #
# DEFAULT #
# ~~~~~~~ #

# must have all of these

gem 'rails', '2.3.11'
gem 'rack', '>=1.1.0'
gem 'rake', '>=0.8.7'

gem 'htmlentities', '~>4.2.1'
gem 'macaddr', '~>1.0.0'
gem 'uuid', '~>2.2.0'
gem 'json', '~>1.4.6'
#gem 'userstamp', '~>2.0.1'

#gem 'ruby-openid', '2.1.8'


# ~~~~~~~~~ #
# DATABASES #
# ~~~~~~~~~ #

# need at least one of the following

#gem 'sqlite3-ruby', :require => 'sqlite3', :group=>'sqlite'
gem 'postgres', '~>0.7.9.2008.01.28', :group=>'postgres'
gem 'mysql', '~>2.8.1', :group=>'mysql'


# ~~~~~~~~~~~~~~ #
# IMAGE HANDLING #
# ~~~~~~~~~~~~~~ #

# This is important for image re-sizing, which is vital to Image cards.
# the attachment_fu plug

group :image_science do
  gem 'image_science', '~>1.2.1'
  gem 'RubyInline', '~>3.8.4'
end
#gem 'rmagick', '>=2.13.1', :group=>'rmagick'

# ~~~~~~~ #
# HOSTING #
# ~~~~~~~ #

group :hosting do
  gem 'hoptoad_notifier', '>=2.3.12'
  gem 'aws-s3','>=0.6.2'
  gem 'newrelic_rpm', '>=2.14.1'
end

# ~~~~~~~ #
# TESTING #
# ~~~~~~~ #

group :debug do
  gem 'rdoc'
  gem 'ruby-debug'
end

group :test do
  gem 'win32console', '1.3.0', :platforms => ['mingw', 'mswin']
  gem 'win32-process', '0.6.5', :platforms => ['mingw', 'mswin']
  
  gem 'term-ansicolor', '1.0.5'
  gem 'nokogiri', '1.4.1'
  gem 'timecop', '>=0.2.1'
  gem 'spork', '>=0.5.7'
  gem 'assert2', '0.5.5'
  gem 'webrat', '>=0.7.0'
  gem 'rspec', '~>1.3', :require=>'spec'
  gem 'rspec-rails', '~>1.3'
  gem 'email_spec', '~>0.6.2'
  gem 'gherkin', '>=2.2.8'
  gem 'cucumber', '>=0.9.2'
  gem 'cucumber-rails', '0.3.2'
  gem 'database_cleaner', '0.5.0'
  
# gem 'ZenTest', '4.4.0'
# gem 'autotest-rails', '<= 4.1.0'
# gem 'autotest-growl' , '0.2.6', :platforms => ['ruby']
# gem 'ruby-snarl', :platforms => ['mingw', 'mswin']
end

# original list http://groups.google.com/group/wagn-dev/browse_thread/thread/79ff17d0bd1145e0/d822516dc749db89#d822516dc749db89
Something went wrong with that request. Please try again.